<section class="user-panel-body py-4 background">
    <div class="container">
        <div class="row">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item text-gray">
                        <a href="/home" style="color: #7987A1;">Home</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page" *ngIf="showPanel.myaccount" style="color: #625F61;">My Account</li>
                    <li class="breadcrumb-item active" aria-current="page" *ngIf="showPanel.orderHistory" style="color: #625F61;">Order History</li>
                    <li class="breadcrumb-item active" aria-current="page" *ngIf="showPanel.pointbalance" style="color: #625F61;">Point Balance</li>
                    <li class="breadcrumb-item active" aria-current="page" *ngIf="showPanel.wishList" style="color: #625F61;">Wishlist</li>
                    <li class="breadcrumb-item active" aria-current="page" *ngIf="showPanel.changePin" style="color: #625F61;">Change Pin</li>
                </ol>
            </nav>

            <div class="col-xl-3 col-sm-4">
                <div class="user-panel-body-left sidePanel" id="sideNav">
                    <div class="user-panel-sidebar-link mb-4 bg-white rounded shadow-sm overflow-hidden">
                        <div class="">

                            <a href="javascript:;" (click)="changPanelRoute('myaccount')" [ngClass]="{'active-profile-menu': showPanel.myaccount}">
                                <i class="fa fa-user" aria-hidden="true"></i> My Account
                            </a>
                            <a href="javascript:;" (click)="changPanelRoute('orderHistory')" [ngClass]="{'active-profile-menu': showPanel.orderHistory}">
                                <i class="far fa-clock" aria-hidden="true"></i> Order History
                            </a>

                            <a href="javascript:;" (click)="changPanelRoute('pointbalance')" [ngClass]="{'active-profile-menu': showPanel.pointbalance}">
                                <i class="fa fa-wallet" aria-hidden="true"></i> Point Balance
                            </a>
                            <a href="javascript:;" (click)="changPanelRoute('wishList')" [ngClass]="{'active-profile-menu': showPanel.wishList}">
                                <i class="far fa-bookmark"></i> Wishlists
                            </a>
                            <a href="javascript:;" (click)="changPanelRoute('changePin')" [ngClass]="{'active-profile-menu': showPanel.changePin}">
                                <i class="fa fa-key"></i> Change Pin
                            </a>
                            <a href="javascript:;" (click)="changPanelRoute('referral')" [ngClass]="{'active-profile-menu': showPanel.referral}">
                                <i class="fa fa-circle-plus"></i> Referral
                            </a>
                        </div>
                        <div>

                            <div class="text-secondary border-top border-bottom mb-4 text-center mt-4">
                                <p class="mb-2 mt-4">Member Since</p>
                                <p class="mb-4 mt-3">{{memberSince}}</p>
                            </div>

                            <button type="button" class="btn btn-block bg-dark mt-4 mb-4 " (click)="confirmLogout(confirmLogoutModal)">
                                <span class="text-white text-uppercase">
                                    Logout
                                </span>
                            </button>
                        </div>
                    </div>

                </div>
            </div>

            <!-- my account  -->
            <div class="col-xl-9 col-sm-8" *ngIf="showPanel.myaccount">
                <div class="user-panel-body-right panelBar">
                    <div id="profile" class="user-panel-tab-view">
                        <div class="shadow-sm rounded overflow-hidden">
                            <div class="p-4 bg-white border-bottom">
                                <h5 class="mb-0 ml-4">My Account</h5>
                            </div>
                            <div class="bg-white p-4 border-radius">
                                <div class="row gx-5">

                                    <div class="col-md-6 col-sm-12  mb-2 " *ngIf="AccountData">
                                        <div class="border p-3">
                                            <form action="" id="myprofile">

                                                <div class="heading mt-2">
                                                    <h5 class="mb-0">Profile Details
                                                        <span class="float-right cursor-pointer" style="color: #B11A83;"><i class="fas fa-pen"
                                                                (click)="AccountToggle()"></i></span>
                                                    </h5>
                                                </div>
                                                <div class="inputfields mt-4">

                                                    <div class="js-form-message">
                                                        <div class="form-group">
                                                            <ngx-skeleton-loader *ngIf="!_Profile.FirstName && !_Profile.LastName" count="1" appearance="line" [theme]="{width: '100%', height: '48px', 'margin-bottom': '-7px', 'border-radius': '6px'}"></ngx-skeleton-loader>
                                                            <input *ngIf="_Profile.FirstName || _Profile.LastName" type="text" class="form-control" name="FullName" placeholder="Full name" [value]="_Profile.FirstName +' '+_Profile.LastName" disabled>
                                                        </div>
                                                    </div>
                                                    <div class="js-form-message">
                                                        <div class="form-group">
                                                            <ngx-skeleton-loader *ngIf="_HelperService.IsProcessing && !_Profile.Address" count="1" appearance="line" [theme]="{width: '100%', height: '48px', 'margin-bottom': '-7px', 'border-radius': '6px'}"></ngx-skeleton-loader>
                                                            <input type="text" *ngIf="!_HelperService.IsProcessing" class="form-control" name="cityaddress" value="{{_Profile.Address}}" disabled>
                                                        </div>
                                                    </div>
                                                    <div class="js-form-message">
                                                        <div class="form-group">
                                                            <ngx-skeleton-loader *ngIf="!_Profile.MobileNumber" count="1" appearance="line" [theme]="{width: '100%', height: '48px', 'margin-bottom': '-7px', 'border-radius': '6px'}"></ngx-skeleton-loader>
                                                            <input type="text" *ngIf="_Profile.MobileNumber" class="form-control" name="phoneNumber" placeholder="Phone number" value="{{_Profile.MobileNumber}}" disabled>
                                                        </div>
                                                    </div>
                                                    <div class="js-form-message">
                                                        <div class="form-group">
                                                            <ngx-skeleton-loader *ngIf="!_Profile.EmailAddress" count="1" appearance="line" [theme]="{width: '100%', height: '48px', 'margin-bottom': '-7px', 'border-radius': '6px'}"></ngx-skeleton-loader>
                                                            <input type="email" *ngIf="_Profile.EmailAddress" class="form-control" name="mailid" placeholder="Email address" value="{{_Profile.EmailAddress}}" disabled>
                                                        </div>
                                                    </div>

                                                </div>

                                            </form>
                                        </div>

                                    </div>

                                    <div class="col-md-6 col-sm-12  mb-2" *ngIf="AddressData">
                                        <div class="row mb-2">
                                            <div class="border p-3">
                                                <div class="heading mt-2">
                                                    <h5 class="mb-0">Address
                                                        <span class="float-right cursor-pointer" style="color: #B11A83;"><i class="fas fa-pen"
                                                                (click)="AddressToggle()"></i></span>
                                                    </h5>
                                                </div>

                                                <div class="inputfields mt-4">
                                                    <div class="js-form-message">
                                                        <div class="form-group">
                                                            <label for="" class="">
                                                                <span style="font-weight: 600;
                                                                font-size: 13px;color:#7C889F">
                                                                    Default Address
                                                                </span>
                                                            </label>
                                                            <div class="mt-2 mb-2">
                                                                <span *ngIf="!fethingAddressLoading && shippingAddresses[0]?.Name">{{shippingAddresses[0]?.Name}}</span>
                                                                <ngx-skeleton-loader *ngIf="fethingAddressLoading && (!shippingAddresses || !shippingAddresses[0]?.Name)" count="1" appearance="line" [theme]="{width: '100px', height: '13px', 'margin': '0px'}"></ngx-skeleton-loader>
                                                            </div>
                                                            <div class="mt-2 mb-2 text-black">
                                                                <span *ngIf="!fethingAddressLoading && shippingAddresses && shippingAddresses[0]?.AddressLine1">{{shippingAddresses[0]?.AddressLine1}}</span>
                                                                <div *ngIf="fethingAddressLoading && ( !shippingAddresses || !shippingAddresses[0]?.AddressLine1)">
                                                                    <ngx-skeleton-loader count="1" appearance="line" [theme]="{width: '100%', height: '13px', 'margin-bottom': '0.5rem'}"></ngx-skeleton-loader>
                                                                    <ngx-skeleton-loader count="1" appearance="line" [theme]="{width: '120px', height: '13px', 'margin': '0px'}"></ngx-skeleton-loader>
                                                                </div>
                                                            </div>
                                                            <div class="mt-2 mb-2 text-black">
                                                                <span *ngIf="!fethingAddressLoading && shippingAddresses && shippingAddresses[0]?.ContactNumber">{{shippingAddresses[0]?.ContactNumber}}</span>
                                                                <ngx-skeleton-loader *ngIf="fethingAddressLoading && (!shippingAddresses || !shippingAddresses[0]?.ContactNumber)" count="1" appearance="line" [theme]="{width: '120px', height: '13px', 'margin': '0px'}"></ngx-skeleton-loader>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>

                                        <div class="row mt-3">
                                            <div class="border p-3">
                                                <div class="heading mt-2">
                                                    <!--  -->
                                                    <h5 class="mb-0" style="color: #B11A83;">
                                                        Change Pin/Password
                                                        <span class="float-right" style="color: #B11A83;cursor:pointer">
                                                            <i class="fas fa-pen" (click)="changPanelRoute('changePin')"></i>
                                                        </span>
                                                    </h5>
                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                    <!-- account details -->
                                    <div class="col-md-12 col-sm-12 mb-2 p-0" *ngIf="AccountEdit">
                                        <div class="user-panel-body-right">
                                            <div id="profile" class="user-panel-tab-view">
                                                <div class="overflow-hidden">
                                                    <div class="p-4 bg-white border-bottom">
                                                        <h5 class="mb-0">
                                                            <span>
                                                                <i class="fa fa-arrow-left cursor-pointer"
                                                                    aria-hidden="true" (click)="BackAccount()"></i>
                                                            </span> &nbsp; My Profile
                                                        </h5>
                                                    </div>

                                                    <div class="bg-white p-4 border-radius">
                                                        <div class="row gx-5">
                                                            <div class="col-md-6 col-sm-12  mb-2">
                                                                <div class="js-form-message">
                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control" name="FirstName" placeholder="First name" [(ngModel)]="_Profile.FirstName"
                                                                        maxlength="30" oninput="this.value=this.value.replace(/[^a-zA-Z ]*$/g,'');">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6 col-sm-12  mb-2">
                                                                <div class="js-form-message">
                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control" name="LastName" placeholder="Last name" [(ngModel)]="_Profile.LastName"
                                                                        maxlength="30" oninput="this.value=this.value.replace(/[^a-zA-Z ]*$/g,'');">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6 col-sm-12  mb-2">
                                                                <div class="js-form-message">
                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control" name="phonenumber" placeholder="phonenumber" value="{{_Profile.MobileNumber}}" disabled>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6 col-sm-12  mb-2">
                                                                <div class="js-form-message">
                                                                    <div class="form-group">
                                                                        <input type="email" class="form-control text-lowercase" name="EmailAddress" placeholder="Email address" [(ngModel)]="_Profile.EmailAddress"
                                                                        #EmailAddress="ngModel" maxlength="60" [ngClass]="{'is-invalid': EmailAddress.touched && !validateEmail(_Profile.EmailAddress)}">
                                                                        <div id="validationEmailAddress" class="invalid-feedback">
                                                                            Please ensure you input a valid email address.
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6 col-sm-12  mb-2">
                                                                <div class="js-form-message">
                                                                    <div class="form-group">
                                                                        <div class="js-form-message">
                                                                            <div class="form-group">
                                                                                <select name="Gender" class="form-control custom-select select2-hidden-accessible" [(ngModel)]="_Profile.Gender" required>
                                                                                    <option value="null" selected disabled>Gender</option>
                                                                                    <option value="male">Male</option>
                                                                                    <option value="female">Female
                                                                                    </option>
                                                                                    <option value="other">Other</option>
                                                                                </select>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6 col-sm-12 mb-2">
                                                                <div class="js-form-message">
                                                                    <div class="form-group">
                                                                        <input type="date" name="DateOfBirth" id="dateofbirth"  max="{{maxDate | date: 'yyyy-MM-dd'}}"  class="form-control" [(ngModel)]="_Profile.DateOfBirth">
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6 col-sm-12 mb-2">
                                                                <div class="js-form-message">
                                                                    <div class="form-group">
                                                                        <textarea name="" id="" rows="3" [(ngModel)]="_Profile.Address" class="form-control" placeholder="Enter Address"></textarea>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6 col-sm-12 mb-2 ml-auto">
                                                                <div class=" js-form-message ">
                                                                    <div class="form-group ">
                                                                        <button class="btn btn-block btnbg" (click)="SetProfile()">Save</button>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <!-- address details -->
                                    <div class="col-md-12 col-sm-12 mb-2" *ngIf="AddressEdit">
                                        <div class="user-panel-body-right ">
                                            <div id="profile" class="user-panel-tab-view">
                                                <div class="shadow-sm rounded overflow-hidden">
                                                    <div class="p-4 bg-white border-bottom d-flex justify-content-between">
                                                        <h5 class="mb-0">
                                                            <span>
                                                                <i class="fa fa-arrow-left cursor-pointer"
                                                                    aria-hidden="true" (click)="BackAddress()"></i>
                                                            </span> &nbsp; My Address
                                                        </h5>
                                                        <button type="button" class="btn btn-light h-75 d-flex align-items-center justify-content-center px-3" (click)="openShippingAddressModal(shippingAddressModal)">
                                                            Add address
                                                        </button>
                                                    </div>

                                                    <ul class="shipping_address_list">
                                                        <li *ngIf="shippingAddresses.length == 0">
                                                            <div class="rounded overflow-hidden mb-3">
                                                                <div class="bg-white p-4 border-radius">
                                                                    No Address found
                                                                </div>
                                                            </div>
                                                        </li>
                                                        <ng-container *ngIf="shippingAddresses.length">
                                                            <li *ngFor="let addr of shippingAddresses; let index=index">
                                                                <div class="rounded overflow-hidden mb-3">
                                                                    <div class="bg-white p-4 border-radius">
                                                                        <div class="form-row">
                                                                            <div class="col-8">
                                                                                <div class="mb-3 text-gray">
                                                                                    <label for="{{addr.ReferenceKey}}">Address{{index+1}}</label>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-4">
                                                                                <button class="btn custom-sm_btn p-2 float-right text-danger" (click)="openShippingAddressModal(confirmDeleteAddressModal, addr, 'delete')">
                                                                                    <i class="icofont-trash"></i>
                                                                                </button>
                                                                                <button class="btn custom-sm_btn p-2 float-right text-dark" (click)="openShippingAddressModal(shippingAddressModal, addr)">
                                                                                    <i class="icofont-edit"></i>
                                                                                </button>
                                                                                <!-- <button class="btn btn-secondary custom-sm_btn "
                                                                                    (click)="openShippingAddressModal(shippingAddressModal, addr)">Edit</button> -->
                                                                            </div>
                                                                        </div>
                                                                        <h5 class="text-black d-flex align-items-center justify-content-between">
                                                                            <span>{{addr.Name}}</span>
                                                                            <!-- <button class="btn btn-light btn-sm custom-sm_btn">Change Address</button> -->
                                                                        </h5>
                                                                        <p class="m-0">{{addr.AddressLine1}}</p>
                                                                        <p class="mb-2">{{addr.AddressLine2}}</p>
                                                                        <p class="mb-2">{{addr.ContactNumber}}</p>
                                                                    </div>
                                                                </div>
                                                            </li>
                                                        </ng-container>
                                                    </ul>


                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-9 col-sm-8 " *ngIf="showPanel.profile ">
                <div class="user-panel-body-right ">
                    <div id="profile " class="user-panel-tab-view ">
                        <div class="shadow-sm rounded overflow-hidden ">
                            <div class="p-4 bg-white ">
                                <h5 class="mb-0 ">Edit Basic Info</h5>
                            </div>
                            <div class="bg-white p-4 border-radius ">
                                <form class="js-validate " novalidate="novalidate ">
                                    <div class="row ">
                                        <div class="col-md-4 col-sm-12 ">
                                            <div class="js-form-message ">
                                                <label id="firstnameLabel " class="form-label ">
                                                    First Name
                                                    <span class="text-danger ">*</span>
                                                </label>
                                                <div class="form-group ">
                                                    <input type="text " class="form-control " name="FirstName " placeholder="First name " aria-label="Enter your first name " required aria-describedby="firstnameLabel " [(ngModel)]="_Profile.FirstName ">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12 ">
                                            <div class="js-form-message ">
                                                <label id="middlenameLabel " class="form-label ">
                                                    Middle Name (optional)
                                                </label>
                                                <div class="form-group ">
                                                    <input type="text " class="form-control " name="MiddleName " placeholder="Middle name " aria-label="Enter your middle name " required aria-describedby="middlenameLabel " [(ngModel)]="_Profile.MiddleName ">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12 ">
                                            <div class="js-form-message ">
                                                <label id="lastnameLabel " class="form-label ">
                                                    Last Name
                                                    <span class="text-danger ">*</span>
                                                </label>
                                                <div class="form-group ">
                                                    <input type="text " class="form-control " name="LastName " placeholder="Last name " aria-label="Enter your last name " required=" " aria-describedby="lastnameLabel " [(ngModel)]="_Profile.LastName ">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row ">
                                        <div class="col-12 ">
                                            <label class="form-label ">
                                                Birth date
                                                <span class="text-danger ">*</span>
                                            </label>
                                        </div>
                                        <div class="col-md-4 ">
                                            <div class="js-form-message ">
                                                <div class="form-group ">
                                                    <select name="Month " class="form-control custom-select select2-hidden-accessible " required [(ngModel)]="_Profile.Month ">
                                                        <option selected value="null " disabled> Month</option>
                                                        <option value="0 ">Jan</option>
                                                        <option value="1 ">Feb</option>
                                                        <option value="2 ">Mar</option>
                                                        <option value="3 ">Apr</option>
                                                        <option value="4 ">May</option>
                                                        <option value="5 ">Jun</option>
                                                        <option value="6 ">Jul</option>
                                                        <option value="7 ">Aug</option>
                                                        <option value="8 ">Sept</option>
                                                        <option value="9 ">Oct</option>
                                                        <option value="10 ">Nov</option>
                                                        <option value="11 ">Dec</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>


                                        <div class="col-md-4 ">
                                            <div class="js-form-message ">
                                                <div class="form-group ">
                                                    <select class="form-control custom-select select2-hidden-accessible " required name="Day " [(ngModel)]="_Profile.Day ">
                                                        <option selected value="null " disabled>Day</option>
                                                        <option value="1 ">01</option>
                                                        <option value="2 ">02</option>
                                                        <option value="3 ">03</option>
                                                        <option value="4 ">04</option>
                                                        <option value="5 ">05</option>
                                                        <option value="6 ">06</option>
                                                        <option value="7 ">07</option>
                                                        <option value="8 ">08</option>
                                                        <option value="9 ">09</option>
                                                        <option value="10 ">10</option>
                                                        <option value="11 ">11</option>
                                                        <option value="12 ">12</option>
                                                        <option value="13 ">13</option>
                                                        <option value="14 ">14</option>
                                                        <option value="15 ">15</option>
                                                        <option value="16 ">16</option>
                                                        <option value="17 ">17</option>
                                                        <option value="18 ">18</option>
                                                        <option value="19 ">19</option>
                                                        <option value="20 ">20</option>
                                                        <option value="21 ">21</option>
                                                        <option value="22 ">22</option>
                                                        <option value="23 ">23</option>
                                                        <option value="24 ">24</option>
                                                        <option value="25 ">25</option>
                                                        <option value="26 ">26</option>
                                                        <option value="27 ">27</option>
                                                        <option value="28 ">28</option>
                                                        <option value="29 ">29</option>
                                                        <option value="30 ">30</option>
                                                        <option value="31 ">31</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>


                                        <div class="col-md-4 ">
                                            <div class="js-form-message ">
                                                <div class="form-group ">
                                                    <select class="form-control custom-select select2-hidden-accessible " required [(ngModel)]="_Profile.Year " name="Year ">
                                                        <option selected value="null " disabled>Year</option>
                                                        <option [ngValue]="yr " *ngFor="let yr of YearList ">{{yr}}
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row ">
                                        <div class="col-md-8 ">
                                            <div class="js-form-message ">
                                                <label id="emailLabel " class="form-label ">
                                                    Email address
                                                    <span class="text-danger ">*</span>
                                                </label>
                                                <div class="form-group ">
                                                    <input type="email " class="form-control " name="EmailAddress " placeholder="Enter your email address " aria-label="Enter your email address " required aria-describedby="emailLabel " [(ngModel)]="_Profile.EmailAddress ">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 ">
                                            <div class="js-form-message ">
                                                <label id="genderLabel " class="form-label ">
                                                    Gender
                                                    <span class="text-danger ">*</span>
                                                </label>
                                                <div class="form-group ">
                                                    <select name="Gender " class="form-control custom-select select2-hidden-accessible " required [(ngModel)]="_Profile.Gender ">
                                                        <option value="null " disabled>Select Gender</option>
                                                        <option value="male ">Male</option>
                                                        <option value="female ">Female</option>
                                                        <option value="other ">Other</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12 ">
                                            <div class="js-form-message ">
                                                <label id="addressLabel " class="form-label ">
                                                    Address (optional)
                                                </label>
                                                <div class="form-group ">
                                                    <textarea type="text " class="form-control " name="Address " placeholder="Enter your address " aria-label="Enter your address " required aria-describedby="addressLabel " [(ngModel)]="_Profile.Address
                                                                                " rows="3 ">
                                                        </textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="mb-4 pt-4 text-right ">
                            <button class="btn mr-3 " (click)="resetProfileForm() "> Cancel </button>
                            <button type="button " *ngIf="_HelperService.IsProcessing " class="btn btn-primary " disabled>
                                Please wait
                            </button>
                            <button class="btn btn-primary " *ngIf="!_HelperService.IsProcessing " (click)="SetProfile() ">Save Profile</button>
                        </div>
                        <div class="shadow-sm rounded overflow-hidden mb-4 ">
                            <div class="p-4 bg-white form-row ">
                                <div class="col-9 ">
                                    <h5 class="mb-0 ">Address manager</h5>
                                </div>
                                <div class="col-3 d-flex justify-content-end ">
                                    <button type="button " class="btn btn-light h-75 d-flex align-items-center justify-content-center px-3 " (click)="openShippingAddressModal(shippingAddressModal) ">Add address</button>
                                </div>

                            </div>
                        </div>

                        <ul class="shipping_address_list ">
                            <li *ngIf="shippingAddresses.length==0 ">
                                <div class="shadow-sm rounded overflow-hidden mb-3 ">
                                    <div class="bg-white p-4 border-radius ">
                                        No Address found
                                    </div>
                                </div>
                            </li>
                            <ng-container *ngIf="shippingAddresses.length ">
                                <li *ngFor="let addr of shippingAddresses; let index=index ">
                                    <div class="shadow-sm rounded overflow-hidden mb-3 ">
                                        <div class="bg-white p-4 border-radius ">
                                            <div class="form-row ">
                                                <div class="col-8 ">
                                                    <div class="mb-3 text-gray ">
                                                        <label for="{{addr.ReferenceKey}} ">Address{{index+1}}</label>
                                                    </div>
                                                </div>
                                                <div class="col-4 ">
                                                    <button class="btn custom-sm_btn p-2 float-right text-danger " (click)="openShippingAddressModal(confirmDeleteAddressModal, addr, 'delete') "><i
                                                            class="icofont-trash "></i></button>
                                                    <button class="btn custom-sm_btn p-2 float-right text-dark " (click)="openShippingAddressModal(shippingAddressModal, addr) "><i
                                                            class="icofont-edit "></i></button>
                                                    <!-- <button class="btn btn-secondary custom-sm_btn "
                                                        (click)="openShippingAddressModal(shippingAddressModal, addr) ">Edit</button> -->
                                                </div>
                                            </div>
                                            <h5 class="text-black d-flex align-items-center justify-content-between ">
                                                <span>{{addr.Name}}</span>
                                                <!-- <button class="btn btn-light btn-sm custom-sm_btn ">Change Address</button> -->
                                            </h5>
                                            <p class="m-0 ">{{addr.AddressLine1}}</p>
                                            <p class="mb-2 ">{{addr.AddressLine2}}</p>
                                            <p class="mb-2 ">{{addr.ContactNumber}}</p>
                                        </div>
                                    </div>
                                </li>
                            </ng-container>
                        </ul>

                    </div>
                </div>
            </div>

            <!-- wish list -->
            <div class="col-xl-9 col-sm-8 " *ngIf="showPanel.wishList">
                <app-wishlist [fetchWishlist]="fetchWishlist"></app-wishlist>
            </div>

            <!-- pointbalance   -->
            <div class="col-xl-9 col-sm-8" *ngIf="showPanel.pointbalance">
                <app-point-balance></app-point-balance>
            </div>

            <!-- change pin -->
            <div class="col-xl-9 col-sm-8" *ngIf="showPanel.changePin ">
                <app-change-pin (changPanelRoute)="changPanelRoute($event)"></app-change-pin>
            </div>

            <!-- referral -->
            <div class="col-xl-9 col-sm-8" *ngIf="showPanel.referral">
                <app-referral (refreshProfile)="getProfile()"></app-referral>
            </div>

            <!-- orderHistory -->
            <div class="col-xl-9 col-sm-8" *ngIf="showPanel.orderHistory">
              <app-order-history></app-order-history>
            </div>


            <div class="col-xl-9 col-sm-8" *ngIf="showPanel.purchasedDeal">
                <div class="user-panel-body-right panelBar">
                    <div id="purchaseddeals" class="user-panel-tab-view mb-4">
                        <div class="shadow-sm rounded overflow-hidden mb-3">
                            <div class="p-4 bg-white">
                                <h5 class="mb-0">Purchased Deals</h5>
                            </div>
                        </div>
                        <div>
                            <div class="row">
                                <div class="col-xl-4 col-md-6 col-sm-12 mb-4" *ngFor="let TItem of PuchasedDeals">
                                    <a [routerLink]="['/dealcode/' + TItem.ReferenceId + '/' +TItem.ReferenceKey]">
                                        <div class="custom-card shadow-sm h-100">
                                            <div class="custom-card-image">
                                                <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                                <div class="button-g-btn button-g-btn-up">
                                                    <img class="img-fluid" src="{{TItem.MerchantIconUrl}}">
                                                    <span>{{ _HelperService.Truncate(TItem.MerchantName )}} </span>
                                                </div>
                                            </div>
                                            <div class="p-3 pt-4">
                                                <div class="custom-card-body">
                                                    <h6 class="mb-3 "><a class="text-black text-limit-2">{{TItem.Title}}</a>
                                                    </h6>
                                                    <p class="text-gray text-limit-1"> <span class=" cityname" *ngIf="_DataService.ActiveCity == ''">{{TItem.CityName}}</span> {{TItem.Address}}
                                                    </p>
                                                </div>
                                                <div class="custom-card-footer mb-2">
                                                    <span class="  float-right text-medium discount-per">{{_HelperService.GetPercentage(TItem.ActualPrice,TItem.SellingPrice)}}
                                                        %
                                                        off</span>
                                                    <span class="text-black text-medium actualprice">
                                                        <span
                                                            [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}} </span>
                                                    <span class="text-black sellingprice">
                                                        <span
                                                            [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.ActualPrice | number: "1.0-1" || "--"}} </span>
                                                </div>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>

<ng-template #confirmLogoutModal let-modal>
    <div class="modal-header tuc-confirm-logout-body text-center d-flex justify-content-center">
        <h4 class="modal-title" id="modal-basic-title">Logout</h4>
    </div>
    <div class="modal-body text-center">
        <h6>Are you sure want to logout?</h6>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline" (click)="modal.close('Cancel click')">Cancel</button>
        <button type="button" class="btn btn-primary" (click)="logout();modal.close('Yes click')">Yes</button>
    </div>
</ng-template>

<ng-template #shippingAddressModal let-modal>
    <div class="modal-header tuc-shipping-address-modal-body border-bottom-0">
        <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
    </div>
    <tuc-shipping-address-form [modal]="modal" [formAction]="editForm" (fetchAddress)="fetchAddress($event)">
    </tuc-shipping-address-form>
</ng-template>

<ng-template #confirmDeleteAddressModal let-modal>
    <div class="modal-header tuc-shipping-address-modal-body text-center d-flex justify-content-center">
        <h4 class="modal-title" id="modal-basic-title">Delete billing address?</h4>
    </div>
    <div class="modal-body text-center">
        <h6>Are you sure want to delete this billing address?</h6>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline" (click)="modal.close('Cancel click')">Cancel</button>
        <button type="button" class="btn btn-primary" (click)="deleteShippingAddress()">Yes</button>
    </div>
</ng-template>
